##### basic_serial_port::set_option (1 of 2 overloads)

Set an option on the serial port.

    template<
        typename SettableSerialPortOption>
    void set_option(
        const SettableSerialPortOption & option);

This function is used to set an option on the serial port.

###### Parameters

option

  The option value to be set on the serial port.

###### Exceptions

asio::system_error

  Thrown on failure.